I have a fully patched sles10 sp2 server that I upgraded to OES2 SP1 and the server still says that the edirectory version is 8.8 SP2. There were no errors during the install.